Comunicaciones
Correos - Marcar como leído
PUT/comm/inbox/:tkInbox/leido
Permite marcar un correo de la bandeja como leído.
Parámetros
| Nombre | Tipo | Validación | Descripción |
|---|
tkEmail | UUID | Requerido | Código token que corresponde a un correo en la bandeja del sistema, el cual se marcará como leído. |
tkInbox | String | Requerido | Código token de la ruta tkInbox. |
Respuesta
| Nombre | Tipo | Descripción |
|---|
code | Integer | Proporciona un código de verificación como respuesta. |
msg | String | Proporciona un mensaje descriptivo o razón dependiendo el resultado. |
Solicitud
curl --request PUT 'https://api.upnify.com/v4/comm/inbox/00000000-0000-4000-8000-000000000010/leido' \
--header 'token: 00000000-0000-4000-8000-000000000001' \
--header 'Content-Type: application/json' \
--data-raw '{"tkEmail":"00000000-0000-4000-8000-000000000010"}'const response = await fetch('https://api.upnify.com/v4/comm/inbox/00000000-0000-4000-8000-000000000010/leido', { method: 'PUT', headers: { token: '00000000-0000-4000-8000-000000000001', 'Content-Type': 'application/json' }, body: JSON.stringify({"tkEmail":"00000000-0000-4000-8000-000000000010"}) });
console.log(await response.json());const response = await fetch('https://api.upnify.com/v4/comm/inbox/00000000-0000-4000-8000-000000000010/leido', { method: 'PUT', headers: { token: '00000000-0000-4000-8000-000000000001', 'Content-Type': 'application/json' }, body: JSON.stringify({"tkEmail":"00000000-0000-4000-8000-000000000010"}) });
console.log(await response.json());import requests
response = requests.put('https://api.upnify.com/v4/comm/inbox/00000000-0000-4000-8000-000000000010/leido', headers={'token':'00000000-0000-4000-8000-000000000001','Content-Type':'application/json'}, json={"tkEmail":"00000000-0000-4000-8000-000000000010"})
print(response.json())package main
import ("bytes"; "fmt"; "io"; "net/http")
func main() {
req, _ := http.NewRequest("PUT", "https://api.upnify.com/v4/comm/inbox/00000000-0000-4000-8000-000000000010/leido", bytes.NewBufferString("{\n \"tkEmail\": \"00000000-0000-4000-8000-000000000010\"\n}"))
req.Header.Set("token", "00000000-0000-4000-8000-000000000001")
req.Header.Set("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}using System.Net.Http;
using System.Text;
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("token", "00000000-0000-4000-8000-000000000001");
using var content = new StringContent("{\n \"tkEmail\": \"00000000-0000-4000-8000-000000000010\"\n}", Encoding.UTF8, "application/json");
var response = await client.PutAsync("https://api.upnify.com/v4/comm/inbox/00000000-0000-4000-8000-000000000010/leido", content);
Console.WriteLine(await response.Content.ReadAsStringAsync());
Respuesta
{
"code": 0,
"msg": "Ok"
}